package uoa.tsco033.evolisa;

import android.app.DialogFragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;

public class DialogFragmentMessage extends DialogFragment
{
	private TextView messageTextView;
	private Button okButton;
	
	public DialogFragmentMessage()
	{
	}
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
	{
		View view = inflater.inflate(R.layout.dialog_message, container);
		
		getArguments().getString("message");
		
		getDialog().setTitle(getArguments().getString("title"));
				
		okButton = (Button) view.findViewById(R.id.message_button_ok);
		messageTextView = (TextView) view.findViewById(R.id.message_textview_message);
		
		messageTextView.setText(getArguments().getString("message"));
		
		okButton.setOnClickListener(new View.OnClickListener()
		{			
			@Override
			public void onClick(View v)
			{
				DialogFragmentMessage.this.dismiss();
			}
		});
		
		return view;
	}
}
