package uoa.tsco033.evolisa;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;

public class Population {
/*
	private ArrayList<DNADrawing> individuals;
	private boolean isDirty = false;
	
	public Population() {
		
	}
	
	public Population(ArrayList<DNADrawing> individuals) {
		this.individuals = new ArrayList<DNADrawing>();
		for (DNADrawing individual : individuals) {
			this.individuals.add(individual.clone());
		}
	}
		
	public Population clone() {
		return new Population(individuals);
	}
	
	public void initialise() {
		individuals = new ArrayList<DNADrawing>();

        for (int i = 0; i < Settings.PopulationSize; i++) {
        	DNADrawing newDrawing = new DNADrawing();
        	newDrawing.initialise();
            individuals.add(newDrawing);
        }
        
        setDirty();
	}
	
	public void produceNextGeneration()
    {
		performBreeding();
		
        for (DNADrawing drawing : individuals) {
        	drawing.mutate();
            drawing.setFitness();
        }
        
    }
    
    private void setDirty() {
    	isDirty = true;
    }
    
    public boolean getDirty() {
    	return isDirty;
    }
    
    private void performBreeding() {
    	
    	ArrayList<DNADrawing> parents = new ArrayList<DNADrawing>();  
    	ArrayList<DNADrawing> children = new ArrayList<DNADrawing>();    	
    	
    	while (parents.size() < Settings.PopulationSize) {
    	
    		int member1 = Tools.getRandomNumber(0, individuals.size() - 1);
    		int member2 = Tools.getRandomNumber(0, individuals.size() - 1);
    		
    		if (individuals.get(member1).getFitness() > (individuals.get(member2).getFitness())) {
    			parents.add(individuals.get(member1));
    			individuals.remove(member1);
    		} else {
    			parents.add(individuals.get(member2));
    			individuals.remove(member2);
    		}
    	}
    	
    	for (int i = 0; i < 10; i++) {
    		
    		DNADrawing member1 = parents.get(Tools.getRandomNumber(0, parents.size() - 1));
    		DNADrawing member2 = parents.get(Tools.getRandomNumber(0, parents.size() - 1));
    		
    		int
    		 slice = Tools.getRandomNumber(1, Math.min(member1.polygonCount(), member2.polygonCount()) - 2);
    		
    		ArrayList<DNAPolygon> polygons = new ArrayList<DNAPolygon>();
    		
    		for (int j = 0; j < slice; j++) {
    			polygons.add(member1.getPolygons().get(j).clone());
    		}
    		for (int j = slice; j < member2.polygonCount(); j++) {
    			polygons.add(member2.getPolygons().get(j).clone());
    		}
    		
    		DNADrawing newChild = new DNADrawing(polygons);
    		newChild.setDirty();
    		children.add(newChild);
    	}
    	
    	individuals.clear();
    	individuals.addAll(parents);
    	individuals.addAll(children);    	
    }
    
    public DNADrawing getFittestIndividual() {
    	
    	Collections.sort(individuals);
    	return individuals.get(individuals.size() - 1);
    	
    }
    
    
*/	
}


//---------------------------------------------------- Old ---------------------------------------//

/*
* private void startEvolution() {
* 
* if (currentDrawing == null) { currentDrawing = new DNADrawing();
* currentDrawing.initialise(); }
* 
* fitnessCalculator = new FitnessCalculator();
* 
* startTime = System.currentTimeMillis(); int count = 0;
* 
* while (imageState == ImageState.INPROGRESS) { DNADrawing newDrawing;
* synchronized (currentDrawing) { newDrawing = currentDrawing.clone(); }
* newDrawing.mutate();
* 
* if (newDrawing.getDirty()) { generation++;
* 
* double newErrorLevel = fitnessCalculator.getDrawingFitness(newDrawing,
* sourceColorsArray);
* 
* if (newErrorLevel <= errorLevel) { selected++; synchronized (currentDrawing)
* { currentDrawing = newDrawing; } errorLevel = newErrorLevel;
* 
* handler.post(new Runnable() {
* 
* @Override public void run() { drawToScreen(); updateDrawingInfo(errorLevel,
* generation, selected, currentDrawing.polygonCount(),
* currentDrawing.pointCount()); } }); } }
* 
* if (count == 10) { handler.post(new Runnable() {
* 
* @Override public void run() { long currentTime = System.currentTimeMillis();
* long elapsedTime = currentTime - startTime; startTime = currentTime;
* updateDuration(elapsedTime); } }); count = 0; } else { count++; } } }
*/

/*while ((imageState == ImageState.INPROGRESS) && (duration < 900000))
{
polygons = displayDrawing.getAllPolygons();
polygonsPerThread = polygons.size() / numberOfThreads;
//workerTasks.clear();
//workerThreads.clear();

for (int i = 0; i < numberOfThreads; i++)
{
	if (i == 0)
	{
		workerTasks.add(i, new Task(globalErrorLevel, Collections.<DNAPolygon> emptyList(), polygons.subList(0, (i + 1) * polygonsPerThread), polygons.subList((i + 1) * polygonsPerThread, polygons.size())));
		// Log.i("EvoLisa", "Thread First; Empty, " + 0 + ":" + ((i
		// + 1) * polygonsPerThread - 1) + ", " + ((i + 1) *
		// polygonsPerThread) + ":" + (polygons.size() - 1));

	}
	else if (i == numberOfThreads - 1)
	{
		workerTasks.add(i, new Task(globalErrorLevel, polygons.subList(0, i * polygonsPerThread), polygons.subList(i * polygonsPerThread, polygons.size()), Collections.<DNAPolygon> emptyList()));
		//Log.i("EvoLisa", "Thread Last; " + 0 + ":" + (i * polygonsPerThread - 1) + ", " + (i * polygonsPerThread) + ":" + (polygons.size() - 1) + ", Empty");
	}
	else
	{
		workerTasks.add(i, new Task(globalErrorLevel, polygons.subList(0, i * polygonsPerThread), polygons.subList(i * polygonsPerThread, (i + 1) * polygonsPerThread), polygons.subList((i + 1) * polygonsPerThread, polygons.size())));
	}
	workerThreads.add(i, new Thread(workerTasks.get(i)));
	workerThreads.get(i).run();
}
*/
/*package uoa.tsco033.evolisa;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.BrokenBarrierException;
import java.util.concurrent.CyclicBarrier;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import java_omp.Pyjama;

import android.app.Activity;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

public class ActivityGenerateImage extends Activity
{
	private Bitmap sourceImage;
	private Bitmap displayImage = Bitmap.createBitmap(Settings.PictureWidth, Settings.PictureHeight, Bitmap.Config.ARGB_8888);;
	private Canvas displayCanvas = new Canvas(displayImage);
	private final byte[][] sourceColorsArray = new byte[Settings.PictureHeight][Settings.PictureWidth * 3];;

	private Runnable updateDrawingRunnable = new UpdateDrawing();

	private DNADrawing displayDrawing;
	private List<DNAPolygon> polygons;

	private int numberOfThreads = 1; //Tools.getNumberOfCores();
	
	private int polygonsPerThread;

	private double globalErrorLevel = Double.MAX_VALUE;
	private long generation = 0;
	private long selected = 0;
	private long startTime = 0;
	private long duration = 0;

	private Button startButton;
	private Button pauseButton;
	private Button saveButton;
	private ImageView imageImageView;
	private TextView fitnessTextView;
	private TextView timeTextView;
	private TextView generationTextView;
	private TextView selectedTextView;
	private TextView pointsTextView;
	private TextView polygonsTextView;

	private Thread thread;
	//private List<Thread> workerThreads = new ArrayList<Thread>();
	private List<Task> workerTasks = new ArrayList<Task>();
	
	private ExecutorService executorService;

	private Handler handler = new Handler();

	private ImageState imageState;	

	private FitnessCalculator fitnessCalculator = new FitnessCalculator();

	// ---------- Setup ----------//

	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_generateimage);

		startButton = (Button) findViewById(R.id.generateimage_button_start_stop);
		pauseButton = (Button) findViewById(R.id.generateimage_button_pause_resume);
		saveButton = (Button) findViewById(R.id.generateimage_button_save);
		imageImageView = (ImageView) findViewById(R.id.generateimage_imageview_image);
		fitnessTextView = (TextView) findViewById(R.id.generateimage_textview_fitness);
		timeTextView = (TextView) findViewById(R.id.generateimage_textview_time);
		generationTextView = (TextView) findViewById(R.id.generateimage_textview_generation);
		selectedTextView = (TextView) findViewById(R.id.generateimage_textview_selected);
		pointsTextView = (TextView) findViewById(R.id.generateimage_textview_points);
		polygonsTextView = (TextView) findViewById(R.id.generateimage_textview_polygons);

		// Extract source image from Intent
		imageState = ImageState.NONE;
		sourceImage = (Bitmap) getIntent().getParcelableExtra("BitmapImage");
		createSourceColorsArray();
		imageState = ImageState.READY;

		// Setup widgets
		setupButtons();

		if (savedInstanceState != null)
		{
			displayDrawing = savedInstanceState.getParcelable("drawing");
			imageState = (ImageState) savedInstanceState.getSerializable("imagestate");
			duration = savedInstanceState.getLong("duration");

			if (imageState == ImageState.INPROGRESS)
			{
				start();
			}
			else
			{
				updateDrawingRunnable.run();
			}

			setButtonStates();
		}
	}

	// ---------- Save Instance State ----------//

	@Override
	protected void onSaveInstanceState(Bundle bundle)
	{
		super.onSaveInstanceState(bundle);
		bundle.putParcelable("drawing", displayDrawing);
		bundle.putSerializable("imagestate", imageState);
		bundle.putLong("duration", duration);
	}

	// ---------- Dispose ----------//

	@Override
	protected void onDestroy()
	{
		super.onDestroy();
		Log.i("EvoLisa", "destroyed");
		imageState = ImageState.NONE;
	}

	// ---------- Widget Event Handlers ----------//

	private void setupButtons()
	{
		startButton.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View arg0)
			{
				if (imageState == ImageState.READY)
				{
					imageState = ImageState.INPROGRESS;
					setButtonStates();
					start();
				}
				else if (imageState == ImageState.INPROGRESS)
				{
					imageState = ImageState.STOPPED;
					setButtonStates();
				}
			}
		});

		pauseButton.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View arg0)
			{
				if (imageState == ImageState.INPROGRESS)
				{
					imageState = ImageState.PAUSED;
					setButtonStates();
				}
				else if (imageState == ImageState.PAUSED)
				{
					imageState = ImageState.INPROGRESS;
					setButtonStates();
					start();
				}
			}
		});

		saveButton.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View v)
			{

				Log.i("EvoLisa", "save clicked num threads = " + Pyjama.omp_get_num_threads());
				// TODO Save functionality
				//#omp parallel for
				{
					for (int i = 0; i < 10; i++)
					{						
						Log.e("EvoLisa", "in freeguithread");
						//#omp gui
						{
						Log.i("EvoLisa", "ompgui");
						}
					}
				}
			}
		});

		setButtonStates();
	}

	// ---------- Widget States ----------//

	private void setButtonStates()
	{
		switch (imageState)
		{
			case NONE:
				startButton.setEnabled(false);
				pauseButton.setEnabled(false);
				saveButton.setEnabled(true); //temp
				startButton.setText(R.string.generateimage_button_start);
				pauseButton.setText(R.string.generateimage_button_pause);
				break;
			case READY:
				startButton.setEnabled(true);
				pauseButton.setEnabled(false);
				saveButton.setEnabled(true); //temp
				startButton.setText(R.string.generateimage_button_start);
				pauseButton.setText(R.string.generateimage_button_pause);
				break;
			case INPROGRESS:
				startButton.setEnabled(true);
				pauseButton.setEnabled(true);
				saveButton.setEnabled(true);
				startButton.setText(R.string.generateimage_button_stop);
				pauseButton.setText(R.string.generateimage_button_pause);
				break;
			case PAUSED:
				startButton.setEnabled(true);
				pauseButton.setEnabled(true);
				saveButton.setEnabled(true);
				startButton.setText(R.string.generateimage_button_stop);
				pauseButton.setText(R.string.generateimage_button_resume);
				break;
			case STOPPED:
				startButton.setEnabled(false);
				pauseButton.setEnabled(false);
				saveButton.setEnabled(true);
				startButton.setText(R.string.generateimage_button_start);
				pauseButton.setText(R.string.generateimage_button_pause);
				break;
		}
	}

	// ---------- Methods ----------//

	private void createSourceColorsArray()
	{
		for (int row = 0; row < Settings.PictureHeight; row++)
		{
			for (int column = 0; column < Settings.PictureWidth; column++)
			{
				int pixel = sourceImage.getPixel(column, row);
				sourceColorsArray[row][column * 3 + 0] = (byte) Color.red(pixel);
				sourceColorsArray[row][column * 3 + 1] = (byte) Color.green(pixel);
				sourceColorsArray[row][column * 3 + 2] = (byte) Color.blue(pixel);
			}
		}
	}

	//---------- Image Evolution ----------//
	
	private void start()
	{
		Runnable task = new Runnable()
		{
			@Override
			public void run()
			{
				startEvolution();
			}
		};
		thread = new Thread(task);
		thread.start();
	}

	private void startEvolution()
	{		
		if (displayDrawing == null)
		{
			Log.i("EvoLisa", "Initialising new drawing with " + Settings.ActivePolygonsMin + " polygons");
			displayDrawing = new DNADrawing();
			displayDrawing.initialise();
		}
		
		Settings.PolygonsPerThreadMax = Settings.ActivePolygonsMax / numberOfThreads;
		Settings.PolygonsPerThreadMin = Settings.ActivePolygonsMin / numberOfThreads;
		
		startTime = System.currentTimeMillis();
		
		workerTasks.clear();
		
		for (int i = 0; i < Pyjama.omp_get_num_threads(); i++)
		{
			workerTasks.add(new Task(0, Collections.<DNAPolygon> emptyList(), Collections.<DNAPolygon> emptyList(), Collections.<DNAPolygon> emptyList() ));
		}

		Log.i("EvoLisa", "Number of threads: " + Pyjama.omp_get_num_threads());
			
		while ((imageState == ImageState.INPROGRESS) && (duration < 900000))
		{
			polygons = displayDrawing.getAllPolygons();
			polygonsPerThread = polygons.size() / numberOfThreads;
			
			for (int i = 0; i < workerTasks.size(); i++)
			{
				if (i == 0)
				{
					workerTasks.get(i).setPolygons(globalErrorLevel, Collections.<DNAPolygon> emptyList(), polygons.subList(0, (i + 1) * polygonsPerThread), polygons.subList((i + 1) * polygonsPerThread, polygons.size()));
				}
				else if (i == numberOfThreads - 1)
				{
					workerTasks.get(i).setPolygons(globalErrorLevel, polygons.subList(0, i * polygonsPerThread), polygons.subList(i * polygonsPerThread, polygons.size()), Collections.<DNAPolygon> emptyList());
				}
				else
				{
					workerTasks.get(i).setPolygons(globalErrorLevel, polygons.subList(0, i * polygonsPerThread), polygons.subList(i * polygonsPerThread, (i + 1) * polygonsPerThread), polygons.subList((i + 1) * polygonsPerThread, polygons.size()));
				}
			}
			
			int size = workerTasks.size();
			
			polygons.clear();
			
			//#omp parallel for
			{
				for (int i = 0; i < size; i++)
				{
					workerTasks.get(i).run();
					//#omp critical
					{
					polygons.addAll(workerTasks.get(i).getMutablePolygons());
					}
				} 
			}
			
			displayDrawing = new DNADrawing(polygons, Collections.<DNAPolygon> emptyList(), Collections.<DNAPolygon> emptyList());

			globalErrorLevel = fitnessCalculator.getDrawingFitness(displayDrawing, sourceColorsArray);

			handler.post(updateDrawingRunnable);
		}
	}
	
	/*
	private void start()
	{
		Runnable task = new Runnable()
		{
			@Override
			public void run()
			{
				startEvolution();
			}
		};
		thread = new Thread(task);
		thread.start();
	}

	private void startEvolution()
	{
		Settings.PolygonsPerThreadMax = Settings.ActivePolygonsMax / numberOfThreads;
		Settings.PolygonsPerThreadMin = Settings.ActivePolygonsMin / numberOfThreads;

		if (displayDrawing == null)
		{
			displayDrawing = new DNADrawing();
			displayDrawing.initialise();
		}

		startTime = System.currentTimeMillis();

		executorService = Executors.newFixedThreadPool(numberOfThreads);
		workerTasks.clear();
		
		CyclicBarrier barrier = new CyclicBarrier(numberOfThreads + 1);
		
		for (int i = 0; i < numberOfThreads; i++)
		{
			workerTasks.add(new Task(0, Collections.<DNAPolygon> emptyList(), Collections.<DNAPolygon> emptyList(), Collections.<DNAPolygon> emptyList() ));
		}
			
		while ((imageState == ImageState.INPROGRESS) && (duration < 900000))
		{
			polygons = displayDrawing.getAllPolygons();
			polygonsPerThread = polygons.size() / numberOfThreads;
			barrier.reset();

			for (int i = 0; i < numberOfThreads; i++)
			{
				if (i == 0)
				{
					workerTasks.get(i).setPolygons(globalErrorLevel, Collections.<DNAPolygon> emptyList(), polygons.subList(0, (i + 1) * polygonsPerThread), polygons.subList((i + 1) * polygonsPerThread, polygons.size()));
				}
				else if (i == numberOfThreads - 1)
				{
					workerTasks.get(i).setPolygons(globalErrorLevel, polygons.subList(0, i * polygonsPerThread), polygons.subList(i * polygonsPerThread, polygons.size()), Collections.<DNAPolygon> emptyList());
				}
				else
				{
					workerTasks.get(i).setPolygons(globalErrorLevel, polygons.subList(0, i * polygonsPerThread), polygons.subList(i * polygonsPerThread, (i + 1) * polygonsPerThread), polygons.subList((i + 1) * polygonsPerThread, polygons.size()));
				}
				workerTasks.get(i).setCyclicBarrier(barrier);
				executorService.execute(workerTasks.get(i));
			}
			
			try
			{
				barrier.await();
			}
			catch (InterruptedException e)
			{
				e.printStackTrace();
			}
			catch (BrokenBarrierException e)
			{
				e.printStackTrace();
			}

			polygons.clear();

			for (int i = 0; i < numberOfThreads; i++)
			{
				polygons.addAll(workerTasks.get(i).getMutablePolygons());
			}
			
			displayDrawing = new DNADrawing(polygons, Collections.<DNAPolygon> emptyList(), Collections.<DNAPolygon> emptyList());

			globalErrorLevel = fitnessCalculator.getDrawingFitness(displayDrawing, sourceColorsArray);

			handler.post(updateDrawingRunnable);
		}
	}

	class UpdateDrawing implements Runnable
	{
		@Override
		public void run()
		{
			if (displayDrawing == null)
			{
				return;
			}
			
			Renderer.render(displayDrawing, displayCanvas, 1);

			imageImageView.setImageBitmap(displayImage);
			
			fitnessTextView.setText(Double.toString(globalErrorLevel));
			generationTextView.setText(Long.toString(generation));
			selectedTextView.setText(Long.toString(selected));
			pointsTextView.setText(Integer.toString(displayDrawing.pointCount()));
			polygonsTextView.setText(Integer.toString(displayDrawing.polygonCount()));			
			
			long currentTime = System.currentTimeMillis();
			long elapsedTime = currentTime - startTime;
			startTime = currentTime;
			duration += elapsedTime;
			timeTextView.setText(Double.toString((double) duration / 1000));
			
			Tools.appendLog(duration + " " + globalErrorLevel);
		}
	}

	private class Task implements Runnable
	{
		private DNADrawing drawing;
		private DNADrawing mutatedDrawing;
		private FitnessCalculator fitnessCalculator;
		private double errorLevel = Double.MAX_VALUE;
		private double mutatedErrorLevel;

		public Task(double globalErrorLevel, List<DNAPolygon> backgroundPolygons, List<DNAPolygon> mutablePolygons, List<DNAPolygon> foregroundPolygons)
		{
			this.errorLevel = globalErrorLevel;
			this.drawing = new DNADrawing(backgroundPolygons, mutablePolygons, foregroundPolygons);
			this.fitnessCalculator = new FitnessCalculator();
		}

		public void setPolygons(double globalErrorLevel, List<DNAPolygon> backgroundPolygons, List<DNAPolygon> mutablePolygons, List<DNAPolygon> foregroundPolygons)
		{
			this.errorLevel = globalErrorLevel;
			this.drawing = new DNADrawing(backgroundPolygons, mutablePolygons, foregroundPolygons);
		}

		public List<DNAPolygon> getMutablePolygons()
		{
			return this.drawing.getMutablePolygons();
		}

		@Override
		public void run()
		{
			for (int i = 0; i < 100; i++)
			{
				this.mutatedDrawing = this.drawing.clone();
				this.mutatedDrawing.mutate();
				if (this.mutatedDrawing.getDirty())
				{
					this.mutatedErrorLevel = this.fitnessCalculator.getDrawingFitness(this.mutatedDrawing, sourceColorsArray);
					if (this.mutatedErrorLevel <= this.errorLevel)
					{
						this.drawing = this.mutatedDrawing;
						this.errorLevel = this.mutatedErrorLevel;
					}
				}
			}
		}

	}
}

/*
* private void startEvolution() {
* 
* if (currentDrawing == null) { currentDrawing = new DNADrawing();
* currentDrawing.initialise(); }
* 
* fitnessCalculator = new FitnessCalculator();
* 
* startTime = System.currentTimeMillis(); int count = 0;
* 
* while (imageState == ImageState.INPROGRESS) { DNADrawing newDrawing;
* synchronized (currentDrawing) { newDrawing = currentDrawing.clone(); }
* newDrawing.mutate();
* 
* if (newDrawing.getDirty()) { generation++;
* 
* double newErrorLevel = fitnessCalculator.getDrawingFitness(newDrawing,
* sourceColorsArray);
* 
* if (newErrorLevel <= errorLevel) { selected++; synchronized (currentDrawing)
* { currentDrawing = newDrawing; } errorLevel = newErrorLevel;
* 
* handler.post(new Runnable() {
* 
* @Override public void run() { drawToScreen(); updateDrawingInfo(errorLevel,
* generation, selected, currentDrawing.polygonCount(),
* currentDrawing.pointCount()); } }); } }
* 
* if (count == 10) { handler.post(new Runnable() {
* 
* @Override public void run() { long currentTime = System.currentTimeMillis();
* long elapsedTime = currentTime - startTime; startTime = currentTime;
* updateDuration(elapsedTime); } }); count = 0; } else { count++; } } }
*/

/*while ((imageState == ImageState.INPROGRESS) && (duration < 900000))
{
polygons = displayDrawing.getAllPolygons();
polygonsPerThread = polygons.size() / numberOfThreads;
//workerTasks.clear();
//workerThreads.clear();

for (int i = 0; i < numberOfThreads; i++)
{
	if (i == 0)
	{
		workerTasks.add(i, new Task(globalErrorLevel, Collections.<DNAPolygon> emptyList(), polygons.subList(0, (i + 1) * polygonsPerThread), polygons.subList((i + 1) * polygonsPerThread, polygons.size())));
		// Log.i("EvoLisa", "Thread First; Empty, " + 0 + ":" + ((i
		// + 1) * polygonsPerThread - 1) + ", " + ((i + 1) *
		// polygonsPerThread) + ":" + (polygons.size() - 1));

	}
	else if (i == numberOfThreads - 1)
	{
		workerTasks.add(i, new Task(globalErrorLevel, polygons.subList(0, i * polygonsPerThread), polygons.subList(i * polygonsPerThread, polygons.size()), Collections.<DNAPolygon> emptyList()));
		//Log.i("EvoLisa", "Thread Last; " + 0 + ":" + (i * polygonsPerThread - 1) + ", " + (i * polygonsPerThread) + ":" + (polygons.size() - 1) + ", Empty");
	}
	else
	{
		workerTasks.add(i, new Task(globalErrorLevel, polygons.subList(0, i * polygonsPerThread), polygons.subList(i * polygonsPerThread, (i + 1) * polygonsPerThread), polygons.subList((i + 1) * polygonsPerThread, polygons.size())));
	}
	workerThreads.add(i, new Thread(workerTasks.get(i)));
	workerThreads.get(i).run();
}
*/